# $Id: gsview.spec,v 1.11 2004/08/03 12:14:27 rexdieter Exp $

Summary: PostScript and PDF previewer
Name: 	 gsview
Epoch:	 0
Version: 4.6
Release: 8%{?dist_tag}
License: Aladdin Free Public License, Ghostgum Software Pty Ltd
Group: 	 Applications/Publishing
Source:  ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/ghostgum/gsview-4.6.tar.gz
URL: 	 http://www.cs.wisc.edu/~ghost/gsview/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source1: gsview.desktop

BuildRequires: gtk+-devel
BuildRequires: desktop-file-utils

# See http://www.redhat.com/archives/fedora-devel-list/2004-August/msg00068.html
#Requires: ghostscript >= 7.07-15.3
#Stick with this one for now, allowing for users with custom/older builds to provide libgs
Requires: libgs.so.7

## Use htmlview instead of hard-coded mozilla
Patch1: gsview-4.4-htmlview.patch
# default to libgs.so.7 instead of libgs.so
# will need to rework when/if ghostscript >= 8.0 comes around.  (-:
Patch2: gsview-4.6-libgs.patch


%description
GSview is a graphical interface for Ghostscript.
Ghostscript is an interpreter for the PostScript page 
description language used by laser printers.
For documents following the Adobe PostScript Document Structuring 
Conventions, GSview allows selected pages to be viewed or printed.


%prep
%setup -q 

%patch1 -p1 -b .htmlview
%patch2 -p1 -b .libgs7


%build
make -f srcunx/unx.mak \
  RPM_OPT_FLAGS="%{!?debug_package:-g0} $RPM_OPT_FLAGS" \
  GSVIEW_BASE=%{_prefix} \
  GSVIEW_BINDIR=%{_bindir} \
  GSVIEW_MANDIR=%{_mandir} \
  GSVIEW_DOCPATH=%{_docdir} \
  GSVIEW_ETCPATH=%{_sysconfdir}


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir},%{_docdir},%{_sysconfdir}}

make -f srcunx/unx.mak install \
  GSVIEW_BASE=$RPM_BUILD_ROOT%{_prefix} \
  GSVIEW_BINDIR=$RPM_BUILD_ROOT%{_bindir} \
  GSVIEW_MANDIR=$RPM_BUILD_ROOT%{_mandir} \
  GSVIEW_DOCPATH=$RPM_BUILD_ROOT%{_docdir} \
  GSVIEW_ETCPATH=$RPM_BUILD_ROOT%{_sysconfdir}

# desktop/icon files
install -D -p -m644 binary/gsview48.png  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gsview.png

desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  %{SOURCE1} 

## Unpackaged files
# nuke depcrecated epstool
rm -f $RPM_BUILD_ROOT{%{_bindir}/epstool,%{_docdir}/*/epstool*}


%files
%defattr(-, root, root)
%{_bindir}/*
%dir %{_sysconfdir}/gsview
%config(noreplace) %{_sysconfdir}/gsview/printer.ini
%{_mandir}/man*/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%doc %{_docdir}/* 


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Aug 06 2004 Rex Dieter <rexdieter at sf.net> 0:4.6-8
- Patch to load libgs.so.7 by default (instead of libgs.so)
- Req: libgs.so.7, dropping Req: ghostscript, allowing for users
  with older/custom ghostscript builds (will have to rework when/if
  ghostscript >= 8.0 comes)
- .desktop: GenericName: PS/PDF Viewer

* Thu Aug 05 2004 Rex Dieter <rexdieter at sf.net> 0:4.6-0.fdr.7
- remove Req: libgs.so
- Req: ghostscript >= 7.07-15.3
  (http://www.redhat.com/archives/fedora-devel-list/2004-August/msg00068.html)

* Tue Aug 03 2004 Rex Dieter <rexdieter at sf.net> 0:4.6-0.fdr.6
- Requires: ghostscript >= 7.07-18

* Thu Apr 29 2004 Rex Dieter <rexdieter at sf.net> 0:4.6-0.fdr.5
- Group: Applications/Publishing
- remove Vendor tag

* Sat Apr 24 2004 Rex Dieter <rexdieter at sf.net> 0:4.6-0.fdr.4
- gsview.desktop: StartupWMClass=gsview

* Sat Apr 24 2004 Rex Dieter <rexdieter at sf.net> 0:4.6-0.fdr.3
- don't include old epstool (to be packaged separately)
- gsview.desktop: 
  MimeType=image/x-eps;application/postscript;application/pdf; 
  Categories=Application;GTK;Graphics;Viewer;Publishing;

* Thu Apr 01 2004 Rex Dieter <rexdieter at sf.net> 0:4.6-0.fdr.2
- desktop-file default
- patch default .desktop file for Categories

* Tue Jan 20 2004 Rex Dieter <rexdieter at sf.net> 0:4.6-0.fdr.1
- 4.6
- desktop_file'ize

* Fri Oct 31 2003 Rex Dieter <rexdieter at sf.net> 0:4.5-0.fdr.1
- 4.5
- Fedora Core support

* Thu Jul 03 2003 Rex Dieter <rexdieter at sf.net> 0:4.4-0.fdr.0
- fedora'ize
- htmlview patch
